### Method

# GIRepository ObjectInfo get_field

since: 2.80

#### Declaration

    GIFieldInfo*
    gi_object_info_get_field (
      GIObjectInfo* info,
      unsigned int n
    )

#### Description

Obtain an object type field at index `n`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of field to get.

#### Return value

Type: `GIFieldInfo`

The `GIFieldInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.